<?php

@%@BCWARNING=// @%@

@!@
import os

if 'DB_PASSWORD' in os.environ:
	password = os.environ['DB_PASSWORD']
else:
	password = ''

# db
print "$conf['sql']['persistent'] =  %s;" % configRegistry.get("horde/sql/persistent", "true")
print "$conf['sql']['username']   = '%s';" % configRegistry.get("horde/sql/username", "horde")
print "$conf['sql']['hostspec']   = '%s';" % configRegistry.get("horde/sql/hostspec", "localhost")
print "$conf['sql']['port']       =  %s;" % configRegistry.get("horde/sql/port", "5432")
print "$conf['sql']['protocol']   = '%s';" % configRegistry.get("horde/sql/protocol", "tcp")
print "$conf['sql']['database']   = '%s';" % configRegistry.get("horde/sql/database", "hordedb")
print "$conf['sql']['charset']    = '%s';" % configRegistry.get("horde/sql/charset", "utf-8")
print "$conf['sql']['splitread']  =  %s;" % configRegistry.get("horde/sql/splitread", "false")
print "$conf['sql']['phptype']    = '%s';" % configRegistry.get("horde/sql/phptype", "pgsql")
print "$conf['sql']['password']   = '%s';" % password

# mailer
print "$conf['mailer']['type']           = '%s';" % configRegistry.get("horde/mailer/type", "smtp")
print "$conf['mailer']['params']['host'] = '%s';" % configRegistry.get("horde/mailer/params/host", "localhost")
print "$conf['mailer']['params']['port'] =  %s;" % configRegistry.get("horde/mailer/params/port", "25")
print "$conf['mailer']['params']['auth'] =  %s;" % configRegistry.get("horde/mailer/params/auth", "true")

# auth
admins = configRegistry.get("horde/auth/admins", "")
admins = "', '".join(admins.split(","))
if admins:
	admins = "'" + admins + "'"
else:
	admins = ""
print "$conf['auth']['admins'] = array(%s);" % admins
print "$conf['auth']['params']['app'] = '%s';" % configRegistry.get("horde/auth/params/app", "imp")
print "$conf['auth']['driver'] = '%s';" % configRegistry.get("horde/auth/driver", "application")
redirect_on_logout = configRegistry.get("horde/auth/redirect_on_logout", "/")
if redirect_on_logout is 'false':
	print "$conf['auth']['redirect_on_logout'] = false;"
else:
	print "$conf['auth']['redirect_on_logout'] = '%s';" % redirect_on_logout

# misc
print "$conf['problems']['email'] = '%s';" % configRegistry.get("horde/problems/mail", "")
print "$conf['testdisable'] = %s;" % configRegistry.get("horde/testdisable", "true")

# logging
print "$conf['log']['enabled']          =  %s;" % configRegistry.get("horde/log/enabled", "true")
print "$conf['log']['type']             = '%s';" % configRegistry.get("horde/log/type", "file")
print "$conf['log']['priority']         = '%s';" % configRegistry.get("horde/log/priority", "ERR")
print "$conf['log']['name']             = '%s';" % configRegistry.get("horde/log/name", "/var/log/horde/horde.log")
print "$conf['log']['params']['append'] =  %s;" % configRegistry.get("horde/log/params/append", "true")

# driver
print "$conf['group']['driver'] = '%s';" % configRegistry.get("horde/group/driver", "Sql")
print "$conf['share']['driver'] = '%s';" % configRegistry.get("horde/share/driver", "Sqlng")

# timezone
print "$conf['timezone']['location'] = '%s';" % configRegistry.get("horde/timezone/location", "file:///usr/share/univention-mail-horde/tzdata-latest.tar.gz")

# generic config
# horde/horde/conf/activesync/params/driverconfig="'horde'" 
#  -> $conf['activesync']['params']['driverconfig'] = 'horde';
PREFIX='horde/horde/conf'
for key in [ x for x in configRegistry.keys() if x.startswith('horde/horde/conf') ]:                                                        
        param = key.lstrip(PREFIX).split('/')
        param = "$conf['"+ "']['".join(param) + "']"
        print '%s = %s;' % (param, configRegistry[key])

# activesync
#$conf['activesync']['params']['driverconfig'] = 'horde';                                                                                    
#$conf['activesync']['emailsync'] = true;                                                                                                    
#$conf['activesync']['version'] = '14.1';                                                                                                    
#$conf['activesync']['auth']['type'] = 'basic';                                                                                              
#$conf['activesync']['autodiscovery'] = 'full';                                                                                              
#$conf['activesync']['outlookdiscovery'] = false;                                                                                            
#$conf['activesync']['logging']['path'] = '/var/log/horde/horde-activesync.log';                                                             
#$conf['activesync']['logging']['type'] = 'onefile';                                                                                         
#$conf['activesync']['ping']['heartbeatmin'] = 60;                                                                                           
#$conf['activesync']['ping']['heartbeatmax'] = 2700;                                                                                         
#$conf['activesync']['ping']['heartbeatdefault'] = 480;                                                                                      
#$conf['activesync']['ping']['deviceping'] = true;                                                                                           
#$conf['activesync']['ping']['waitinterval'] = 15;                                                                                           
#$conf['activesync']['enabled'] = true; 
@!@
